Distribution:	CCux
Packager:  	Christian Wasem <wasem@ccux-linux.de>

Name:      	exiv2
Version:   	0.19
Release:   	1
License: 	GNU/GPL
Group:     	Multimedia/Graphics
Summary:   	Exif and Iptc metadata manipulation library and tools.

URL:		http://home.arcor.de/ahuggel/exiv2/index.html

Source0: 	%{name}-%{version}.tar.gz
# hardcode python version
Patch0:		exiv2-python26.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Manually build depemdencies
BuildRequires:	doxygen
BuildRequires:	libxslt
BuildRequires:	graphviz
BuildRequires:	python26-devel
BuildRequires:	zlib-devel
BuildRequires:  expat-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: perl

%description
Exiv2 comprises of a C++ library and a command line utility to access image
metadata. Exiv2 supports full read and write access to th Exif and Iptc
metadata, Exif MakerNote support, extract and delete methods for Exif
thumbnails, classes to access Ifd and so on.
The command line utility allow you to:
* print the Exif metadata of Jpeg images as summary info, interpreted values,
or the plain data for each tag (here is a sample)
* print the Iptc metadata of Jpeg images
* print the Jpeg comment of Jpeg images
* set, add and delete Exif and Iptc metadata of Jpeg images 
* adjust the Exif timestamp (that's how it all started...)
* rename Exif image files according to the Exif timestamp
* extract, insert and delete Exif metadata, Iptc metadata and Jpeg comments
* extract, insert and delete the thumbnail image embedded in the Exif metadata

%package	devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%package	doc
Summary: 	%{name} documents.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description	doc
%{name} documents.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir
make
make doc

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/exiv2
%{_libdir}/libexiv2.so.*
%{_datadir}/locale/*/LC_MESSAGES/exiv2.mo

%files	devel
%defattr(-,root,root)
%{_libdir}/libexiv2.so
%{_libdir}/libexiv2.la
%{_libdir}/libexiv2.a
%{_pkgconfig}/exiv2.pc
%{_mandir}/man1/exiv2.1.gz
%{_includedir}/exiv2

%files	doc
%defattr(-,root,root)
%doc doc/html

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.19-1
- Version update
* Wed Aug 05 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.18.2-1
- Version update
* Thu Dec 18 2008 Christian Wasem <wasem@ccux-linux.de> 0.18-1
- Version update
* Fri Aug 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.17.1-1
- Version update
* Tue Jan 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.16-1
- Version update
* Fri Jul 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.15-1
- Version update
* Sat Dec 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.12-2
- modified optimization flags
- fixes digikam/ufraw crash bug
* Wed Dec 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.12-1
- Version update
* Sat Sep 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.11-1
- Version update
* Sat Jun 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.10-1
- Version update
* Fri May 05 2006 Christian Wasem <wasem@ccux-linux.de> 0.9.1-1
- Initial Release
